Viviot.Api

<back to all web services

UpdateBusinessUserAccess

BusinessUserAccesses
Requires Authentication
Requires any of the roles:Admin, TenantAdmin, AccessAdmin
The following routes are available for this service:
PUT/BusinessUserAccessUpdates an access for a business user.
UpdateBusinessUserAccess Parameters:
NameParameterData TypeRequiredDescription
BusinessUserAccessIdbodystringYesBusinessUser Access ID
BaseEditBusinessUserAccess Parameters:
NameParameterData TypeRequiredDescription
ValidFromformstringYesAccess comes into effect after this time
ValidToformstringNoTime when access stops. If you don't specify then access is active for undefined end time.
LabelformstringNoAccess label.
SpacesformList<ThingBusinessUserAccessDto>YesList of spaces that the access is granted for.
PinCodesformarrayNoList of keypad PIN codes (5 digits each) to assign to every space under this access.
PhysicalAccessCardsformarrayNoList of physical access card codes (numeric) to assign to every space under this access.
BaseRequest Parameters:
NameParameterData TypeRequiredDescription
VersionformintegerNoApi version
ThingBusinessUserAccessDto Parameters:
NameParameterData TypeRequiredDescription
ThingIdformGuidNo
AccessCountformint?No
FromHourformTimeSpan?No
ToHourformTimeSpan?No
ExclusiveformboolNo
CreateBusinessUserAccessResponse Parameters:
NameParameterData TypeRequiredDescription
IdformGuid?No
BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /BusinessUserAccess HTTP/1.1 
Host: api.4spaces.io 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"businessUserAccessId":"00000000000000000000000000000000","validTo":-62135596800000,"label":"String","spaces":[{"thingId":"00000000000000000000000000000000","accessCount":0,"fromHour":"00:00:00","toHour":"00:00:00","exclusive":false}],"pinCodes":["String"],"physicalAccessCards":["String"],"version":0}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"id":"00000000000000000000000000000000","responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}